Index: plottools/src/danse/common/plottools/PlotPanel.py
===================================================================
--- plottools/src/danse/common/plottools/PlotPanel.py	(revision 6e75ed00993b61a2a3512eed9133a3721ced22b5)
+++ plottools/src/danse/common/plottools/PlotPanel.py	(revision 10bfeb307197dbe02c1ab9ca2e868b076c0cd128)
@@ -13,16 +13,9 @@
 from matplotlib.figure import Figure
 import os
-import fittings
 import transform
-from matplotlib.widgets import RectangleSelector
-from pylab import  gca, gcf
 from plottables import Data1D
 #TODO: make the plottables interactive
 from binder import BindArtist
 from matplotlib.font_manager import FontProperties
-
-#from matplotlib import cm
-#from matplotlib.ticker import LinearLocator, FixedLocator, FormatStrFormatter
-
 DEBUG = False
 
@@ -33,10 +26,12 @@
 import operator
 
-import math, pylab, re
+import math
+import pylab
 DEFAULT_CMAP = pylab.cm.jet
 import copy
 import numpy
 
-def show_tree(obj,d=0):
+
+def show_tree(obj, d=0):
     """Handy function for displaying a tree of graph objects"""
     print "%s%s" % ("-"*d, obj.__class__.__name__)
@@ -44,5 +39,6 @@
         for a in obj.get_children(): show_tree(a, d+1)
      
-from unitConverter import UnitConvertion as convertUnit   
+from unitConverter import UnitConvertion as convertUnit
+
 
 def _rescale(lo, hi, step, pt=None, bal=None, scale='linear'):
@@ -60,12 +56,12 @@
         loprev = lo
         hiprev = hi
-        ptprev = pt
         if scale == 'log':
             assert lo > 0
-            if lo > 0 :
+            if lo > 0:
                 lo = math.log10(lo)
-            if hi > 0 :
+            if hi > 0:
                 hi = math.log10(hi)
-            if pt is not None: pt = math.log10(pt)
+            if pt is not None:
+                pt = math.log10(pt)
         
         # Compute delta from axis range * %, or 1-% if persent is negative
@@ -94,16 +90,15 @@
 
 def CopyImage(canvas):
-     """
-     0: matplotlib plot
-     1: wx.lib.plot
-     2: other
-     
-     """
-     bmp = wx.BitmapDataObject()
-     bmp.SetBitmap(canvas.bitmap)
-
-     wx.TheClipboard.Open()
-     wx.TheClipboard.SetData(bmp)
-     wx.TheClipboard.Close()
+    """
+    0: matplotlib plot
+    1: wx.lib.plot
+    2: other
+    """
+    bmp = wx.BitmapDataObject()
+    bmp.SetBitmap(canvas.bitmap)
+    
+    wx.TheClipboard.Open()
+    wx.TheClipboard.SetData(bmp)
+    wx.TheClipboard.Close()
 
 
@@ -116,5 +111,5 @@
     """
     def __init__(self, parent, id=-1, xtransform=None,
-                  ytransform=None, scale='log_{10}', 
+                  ytransform=None, scale='log_{10}',
                   color=None, dpi=None, **kwargs):
         """
@@ -123,16 +118,16 @@
         self.parent = parent
         self.dimension = 1
-        self.gotLegend = 0  #to begin, legend is not picked. 
+        self.gotLegend = 0  # to begin, legend is not picked.
         self.legend_pos_loc = None
         self.legend = None
-        self.line_collections_list = [] 
+        self.line_collections_list = []
         self.figure = Figure(None, dpi, linewidth=2.0)
-        self.color = '#b3b3b3'  
+        self.color = '#b3b3b3'
         from canvas import FigureCanvas
-        self.canvas = FigureCanvas(self, -1, self.figure) 
+        self.canvas = FigureCanvas(self, -1, self.figure)
         self.SetColor(color)
         #self.SetBackgroundColour(parent.GetBackgroundColour())
         self._resizeflag = True
-        self._SetSize() 
+        self._SetSize()
         self.subplot = self.figure.add_subplot(111)
         self.figure.subplots_adjust(left=0.2, bottom=.2)
@@ -171,5 +166,5 @@
         if xtransform != None:
             self.xLabel = xtransform
-        else:   
+        else:
             self.xLabel = "log10(x)"
         if ytransform != None:
@@ -203,5 +198,5 @@
         #self.selected_plottable = None
         
-        # new data for the fit 
+        # new data for the fit
         self.fit_result = Data1D(x=[], y=[], dy=None)
         self.fit_result.symbol = 13
@@ -239,5 +234,5 @@
         self.zmax_2D = None
         
-        #index array 
+        #index array
         self.index_x = None
         self.index_y = None
@@ -275,9 +270,9 @@
         
         # Default locations
-        self._default_save_location = os.getcwd()    
+        self._default_save_location = os.getcwd()
         # let canvas know about axes
         self.canvas.set_panel(self)
         
-        #Bind focus to change the border color      
+        #Bind focus to change the border color
         self.canvas.Bind(wx.EVT_SET_FOCUS, self.on_set_focus)
         self.canvas.Bind(wx.EVT_KILL_FOCUS, self.on_kill_focus)
@@ -288,6 +283,6 @@
         pixels = self.parent.GetClientSize()
         self.canvas.SetSize(pixels)
-        self.figure.set_size_inches( (pixels[0])/self.figure.get_dpi(),
-         (pixels[1])/self.figure.get_dpi(), forward=True )   
+        self.figure.set_size_inches(pixels[0] / self.figure.get_dpi(),
+         pixels[1] / self.figure.get_dpi(), forward=True)
           
     def On_Paint(self, event):
@@ -295,10 +290,5 @@
         """
         self.canvas.SetBackgroundColour(self.color)
-        #dc = wx.PaintDC(self.canvas)
-        #dc.SetPen(wx.Pen(self.color))
-        #x, y = self.GetSize()
-        #dc.DrawRectangle(0, 0, x, y)
-        #dc.DrawRectangle(1, 1, x-1, y-1)
-        #self.draw()
+
     def on_set_focus(self, event):
         """
@@ -323,11 +313,11 @@
         Set the resizing (True/False)
         """
-        pass # Not implemented
+        pass  # Not implemented
     
-    def schedule_full_draw(self, func='append'):    
+    def schedule_full_draw(self, func='append'):
         """
         Put self in schedule to full redraw list
         """
-        pass # Not implemented
+        pass  # Not implemented
     
     def add_toolbar(self):
@@ -359,5 +349,5 @@
         self.toolbar.update()
         
-    def onLeftDown(self, event): 
+    def onLeftDown(self, event):
         """
         left button down and ready to drag
@@ -371,27 +361,24 @@
                 self.xInit, self.yInit = event.xdata, event.ydata
                 try:
-                    pos_x = float(event.xdata)# / size_x
-                    pos_y = float(event.ydata)# / size_y
-                    pos_x = "%8.3g"% pos_x
-                    pos_y = "%8.3g"% pos_y
+                    pos_x = float(event.xdata)  # / size_x
+                    pos_y = float(event.ydata)  # / size_y
+                    pos_x = "%8.3g" % pos_x
+                    pos_y = "%8.3g" % pos_y
                     self.position = str(pos_x), str(pos_y)
                     wx.PostEvent(self.parent, StatusEvent(status=self.position))
                 except:
-                    self.position = None  
-        #size_x, size_y =  self.GetClientSizeTuple()
-
-     
-    def onLeftUp(self, event): 
+                    self.position = None
+
+    def onLeftUp(self, event):
         """
         Dragging is done
-        
         """
         # Check that the LEFT button was released
         if event.button == 1:
             self.leftdown = False
-            self.mousemotion = False 
+            self.mousemotion = False
             self.leftup = True
             
-        #release the legend    
+        #release the legend
         if self.gotLegend == 1:
             self.gotLegend = 0
@@ -405,5 +392,5 @@
             self.legend.legendPatch.set_alpha(alpha)
         
-    def onPick(self, event):    
+    def onPick(self, event):
         """
         On pick legend
@@ -412,17 +399,16 @@
         if event.artist == legend:
             #gets the box of the legend.
-            bbox = self.legend.get_window_extent()  
+            bbox = self.legend.get_window_extent()
             #get mouse coordinates at time of pick.
-            self.mouse_x = event.mouseevent.x  
+            self.mouse_x = event.mouseevent.x
             self.mouse_y = event.mouseevent.y
             #get legend coordinates at time of pick.
-            self.legend_x = bbox.xmin          
+            self.legend_x = bbox.xmin
             self.legend_y = bbox.ymin
             #indicates we picked up the legend.
-            self.gotLegend = 1   
+            self.gotLegend = 1
             self.set_legend_alpha(0.5)
-  
-            
-    def _on_legend_motion(self, event): 
+    
+    def _on_legend_motion(self, event):
         """
         On legend in motion
@@ -435,5 +421,5 @@
         lo_y, hi_y = ax.get_ylim()
         # How much the mouse moved.
-        x = mouse_diff_x = self.mouse_x - event.x  
+        x = mouse_diff_x = self.mouse_x - event.x
         y = mouse_diff_y = self.mouse_y - event.y
         # Put back inside
@@ -444,5 +430,5 @@
         if y < lo_y:
             y = lo_y
-        if y> hi_y:
+        if y > hi_y:
             y = hi_y
         # Move the legend from its previous location by that same amount
@@ -456,10 +442,10 @@
         self.resizing = True
         self.canvas.set_resizing(self.resizing)
-        self.canvas.draw() 
+        self.canvas.draw()
            
-    def onMouseMotion(self, event): 
+    def onMouseMotion(self, event):
         """
         check if the left button is press and the mouse in moving.
-        computer delta for x and y coordinates and then calls draghelper 
+        computer delta for x and y coordinates and then calls draghelper
         to perform the drag
         
@@ -471,8 +457,8 @@
             #Disable dragging without the toolbar to allow zooming with toolbar
             return
-        self.mousemotion = True 
+        self.mousemotion = True
         if self.leftdown == True and self.mousemotion == True:
             ax = event.inaxes
-            if ax != None:#the dragging is perform inside the figure
+            if ax != None:  # the dragging is perform inside the figure
                 self.xFinal, self.yFinal = event.xdata, event.ydata
                 # Check whether this is the first point
@@ -489,12 +475,10 @@
                     ydelta = math.log10(self.yFinal) - math.log10(self.yInit)
                 self._dragHelper(xdelta, ydelta)
-            else:# no dragging is perform elsewhere
-                self._dragHelper(0,0)
-
-                
+            else:  # no dragging is perform elsewhere
+                self._dragHelper(0, 0)
+
     def _offset_graph(self):
         """
-        Zoom and offset the graph to the last known settings 
-        
+        Zoom and offset the graph to the last known settings
         """
         for ax in self.axes:
@@ -580,5 +564,5 @@
             # Event occurred inside a plotting area
             lo, hi = ax.get_xlim()
-            lo, hi = _rescale(lo, hi, step, 
+            lo, hi = _rescale(lo, hi, step,
                              pt=event.xdata, scale=ax.get_xscale())
             if not self.xscale == 'log' or lo > 0:
@@ -593,5 +577,5 @@
                 self._scale_ylo = lo
                 self._scale_yhi = hi
-                ax.set_ylim((lo,hi))
+                ax.set_ylim((lo, hi))
         else:
             # Check if zoom happens in the axes
@@ -602,13 +586,11 @@
                 insidex, _ = ax.xaxis.contains(event)
                 if insidex:
-                    xdata, _ = ax.transAxes.inverted().transform_point((x, y)) 
-                    #xdata,_ = ax.transAxes.inverse_xy_tup((x,y))
+                    xdata, _ = ax.transAxes.inverted().transform_point((x, y))
                 insidey, _ = ax.yaxis.contains(event)
                 if insidey:
-                    _, ydata = ax.transAxes.inverted().transform_point((x, y)) 
-                    #_,ydata = ax.transAxes.inverse_xy_tup((x,y))
+                    _, ydata = ax.transAxes.inverted().transform_point((x, y))
             if xdata is not None:
                 lo, hi = ax.get_xlim()
-                lo, hi = _rescale(lo, hi, step, 
+                lo, hi = _rescale(lo, hi, step,
                                   bal=xdata, scale=ax.get_xscale())
                 if not self.xscale == 'log' or lo > 0:
@@ -618,7 +600,7 @@
             if ydata is not None:
                 lo, hi = ax.get_ylim()
-                lo, hi = _rescale(lo, hi, step, bal=ydata, 
+                lo, hi = _rescale(lo, hi, step, bal=ydata,
                                   scale=ax.get_yscale())
-                if not self.yscale=='log' or lo>0:
+                if not self.yscale == 'log' or lo > 0:
                     self._scale_ylo = lo
                     self._scale_yhi = hi
@@ -630,8 +612,8 @@
         Return values and labels used by Fit Dialog
         """
-        return self.xLabel,self.yLabel, self.Avalue, self.Bvalue,\
+        return self.xLabel, self.yLabel, self.Avalue, self.Bvalue,\
                 self.ErrAvalue, self.ErrBvalue, self.Chivalue
     
-    def setTrans(self, xtrans, ytrans): 
+    def setTrans(self, xtrans, ytrans):
         """
         
@@ -643,5 +625,5 @@
         self.prevYtrans = ytrans
    
-    def onFitting(self, event): 
+    def onFitting(self, event):
         """
         when clicking on linear Fit on context menu , display Fitting Dialog
@@ -660,16 +642,16 @@
         from fitDialog import LinearFit
         
-        if len(list.keys())>0:
+        if len(list.keys()) > 0:
             first_item = list.keys()[0]
-            dlg = LinearFit(parent=None, plottable=first_item, 
+            dlg = LinearFit(parent=None, plottable=first_item,
                             push_data=self.onFitDisplay,
-                            transform=self.returnTrans, 
+                            transform=self.returnTrans,
                             title='Linear Fit')
            
             if (self.xmin != 0.0)and (self.xmax != 0.0)\
                 and(self.xminView != 0.0)and (self.xmaxView != 0.0):
-                dlg.setFitRange(self.xminView, self.xmaxView, 
+                dlg.setFitRange(self.xminView, self.xmaxView,
                                 self.xmin, self.xmax)
-            dlg.ShowModal() 
+            dlg.ShowModal()
             
     def set_selected_from_menu(self, menu, id):
@@ -688,7 +670,7 @@
                 break
             
-    def linear_plottable_fit(self, plot): 
-        """
-            when clicking on linear Fit on context menu , display Fitting Dialog
+    def linear_plottable_fit(self, plot):
+        """
+            when clicking on linear Fit on context menu, display Fitting Dialog
             
             :param plot: PlotPanel owning the graph
@@ -706,5 +688,5 @@
         self._fit_dialog.register_close(self._linear_fit_close)
         # Show a non-model dialog
-        self._fit_dialog.Show() 
+        self._fit_dialog.Show()
 
     def _linear_fit_close(self):
@@ -714,10 +696,9 @@
         self._fit_dialog = None
         
-
     def _onProperties(self, event):
         """
         when clicking on Properties on context menu ,
         The Property dialog is displayed
-        The user selects a transformation for x or y value and 
+        The user selects a transformation for x or y value and
         a new plot is displayed
         """
@@ -734,5 +715,5 @@
                 dial.setValues(self.prevXtrans, self.prevYtrans, self.viewModel)
                 if dial.ShowModal() == wx.ID_OK:
-                    self.xLabel, self.yLabel,self.viewModel = dial.getValues()
+                    self.xLabel, self.yLabel, self.viewModel = dial.getValues()
                     if self.viewModel == "Guinier lny vs x^(2)":
                         self.xLabel = "x^(2)"
@@ -809,5 +790,5 @@
             self.draw()
 
-    def _SetSize(self, pixels = None):
+    def _SetSize(self, pixels=None):
         """
         This method can be called to force the Plot to be a desired size,
@@ -818,6 +799,6 @@
             pixels = tuple(self.GetClientSize())
         self.canvas.SetSize(pixels)
-        self.figure.set_size_inches( float( pixels[0] )/self.figure.get_dpi(),
-                                     float( pixels[1] )/self.figure.get_dpi() ) 
+        self.figure.set_size_inches(float(pixels[0]) / self.figure.get_dpi(),
+                                    float(pixels[1]) / self.figure.get_dpi())
 
     def draw(self):
@@ -828,8 +809,9 @@
         self.figure.canvas.draw_idle()
         
-       
-    #pick up the legend patch
     def legend_picker(self, legend, event):
-        return self.legend.legendPatch.contains(event)      
+        """
+            Pick up the legend patch
+        """
+        return self.legend.legendPatch.contains(event)
         
     def get_loc_label(self):
@@ -880,9 +862,9 @@
         
         id = wx.NewId()
-        slicerpop.Append(id,'&Printer setup', 'Set image size')
+        slicerpop.Append(id, '&Printer setup', 'Set image size')
         wx.EVT_MENU(self, id, self.onPrinterSetup)
         
         id = wx.NewId()
-        slicerpop.Append(id,'&Printer Preview', 'Set image size')
+        slicerpop.Append(id, '&Printer Preview', 'Set image size')
         wx.EVT_MENU(self, id, self.onPrinterPreview)
     
@@ -968,12 +950,12 @@
             handles2, labels2 = zip(*hl)
             self.line_collections_list = handles2
-            self.legend = self.subplot.legend(handles2, labels2, 
+            self.legend = self.subplot.legend(handles2, labels2,
                                 prop=FontProperties(size=10), numpoints=1,
                                 handletextsep=.05, loc=self.legendLoc)
             if self.legend != None:
-                self.legend.set_picker(self.legend_picker) 
-                self.legend.set_axes(self.subplot) 
-        
-        self.subplot.figure.canvas.draw_idle()       
+                self.legend.set_picker(self.legend_picker)
+                self.legend.set_axes(self.subplot)
+        
+        self.subplot.figure.canvas.draw_idle()
         self.legend_on = not self.legend_on
     
@@ -984,5 +966,5 @@
         menu = event.GetEventObject()
         id = event.GetId()
-        label =  menu.GetLabel(id)
+        label = menu.GetLabel(id)
         
         self.legendLoc = label
@@ -994,12 +976,11 @@
         handles2, labels2 = zip(*hl)
         self.line_collections_list = handles2
-        self.legend = self.subplot.legend(handles2, labels2, 
-                            prop=FontProperties(size=10),  numpoints=1,
+        self.legend = self.subplot.legend(handles2, labels2,
+                            prop=FontProperties(size=10), numpoints=1,
                             handletextsep=.05, loc=self.legendLoc)
         if self.legend != None:
-                self.legend.set_picker(self.legend_picker) 
-                self.legend.set_axes(self.subplot) 
-        self.subplot.figure.canvas.draw_idle()  
-        #self._onEVT_FUNC_PROPERTY()
+                self.legend.set_picker(self.legend_picker)
+                self.legend.set_axes(self.subplot)
+        self.subplot.figure.canvas.draw_idle()
         
     def remove_legend(self, ax=None):
@@ -1007,11 +988,10 @@
         Remove legend for ax or the current axes.
         """
-        from pylab import gca, draw
+        from pylab import gca
         if ax is None:
             ax = gca()
         ax.legend_ = None
-        #draw()
-        
-    def _on_addtext(self, event): 
+        
+    def _on_addtext(self, event):
         """
         Allows you to add text to the plot
@@ -1038,13 +1018,13 @@
                 colour = textdial.getColor()
                 if len(label) > 0 and xpos > 0 and ypos > 0:
-                    new_text = self.subplot.text(str(xpos), str(ypos), label, 
+                    new_text = self.subplot.text(str(xpos), str(ypos), label,
                                                    fontproperties=font,
                                                    color=colour)
                     self.textList.append(new_text)
-                    self.subplot.figure.canvas.draw_idle()  
+                    self.subplot.figure.canvas.draw_idle()
             except:
                 if self.parent != None:
                     from sans.guiframe.events import StatusEvent 
-                    msg= "Add Text: Error. Check your property values..."
+                    msg = "Add Text: Error. Check your property values..."
                     wx.PostEvent(self.parent, StatusEvent(status = msg ))
                 else:
@@ -1055,5 +1035,5 @@
         #based on this and plot it at user designated coordinates
 
-    def onGridOnOff(self, event): 
+    def onGridOnOff(self, event):
         """
         Allows ON/OFF Grid
@@ -1065,5 +1045,5 @@
         self.subplot.figure.canvas.draw_idle()
         
-    def _on_xaxis_label(self, event): 
+    def _on_xaxis_label(self, event):
         """
         Allows you to add text to the plot
@@ -1090,5 +1070,5 @@
             self._check_zoom_plot()
     
-    def _check_zoom_plot(self): 
+    def _check_zoom_plot(self):
         """
         Check the zoom range and plot (1D only)
@@ -1102,8 +1082,8 @@
         if self.is_zoomed or toolbar_zoomed:
             # Recover the x,y limits
-            self.subplot.set_xlim((xlo, xhi))     
-            self.subplot.set_ylim((ylo, yhi)) 
+            self.subplot.set_xlim((xlo, xhi))
+            self.subplot.set_ylim((ylo, yhi))
                    
-    def _on_yaxis_label(self, event): 
+    def _on_yaxis_label(self, event):
         """
         Allows you to add text to the plot
@@ -1130,5 +1110,4 @@
             self._check_zoom_plot()
             
-        
     def _on_axis_label(self, axis='x'):
         """
@@ -1138,5 +1117,5 @@
         """
         is_ok = True
-        title = 'Modify %s axis label'% axis
+        title = 'Modify %s axis label' % axis
         font = 'serif'
         colour = 'black'
@@ -1147,5 +1126,5 @@
             label = self.yaxis_label
             unit = self.yaxis_unit
-        textdial = TextDialog(None, -1, title, label, unit) 
+        textdial = TextDialog(None, -1, title, label, unit)
         if textdial.ShowModal() == wx.ID_OK:
             try:
@@ -1160,17 +1139,17 @@
                 is_tick = textdial.getTickLabel()
                 label_temp = textdial.getText()
-                if label_temp.count("\%s"% "\\") > 0:
+                if label_temp.count("\%s" % "\\") > 0:
                     if self.parent != None:
                         from sans.guiframe.events import StatusEvent 
-                        msg= "Add Label: Error. Can not use double '\\' "
+                        msg = "Add Label: Error. Can not use double '\\' "
                         msg += "characters..."
-                        wx.PostEvent(self.parent, StatusEvent(status = msg ))
+                        wx.PostEvent(self.parent, StatusEvent(status=msg))
                 else:
                     label = label_temp
             except:
                 if self.parent != None:
-                    from sans.guiframe.events import StatusEvent 
-                    msg= "Add Label: Error. Check your property values..."
-                    wx.PostEvent(self.parent, StatusEvent(status = msg ))
+                    from sans.guiframe.events import StatusEvent
+                    msg = "Add Label: Error. Check your property values..."
+                    wx.PostEvent(self.parent, StatusEvent(status=msg))
                 else:
                     pass
@@ -1189,7 +1168,7 @@
         if num_text < 1:
             if self.parent != None:
-                from sans.guiframe.events import StatusEvent 
+                from sans.guiframe.events import StatusEvent
                 msg= "Remove Text: Nothing to remove.  "
-                wx.PostEvent(self.parent, StatusEvent(status = msg ))
+                wx.PostEvent(self.parent, StatusEvent(status=msg))
             else:
                 raise
@@ -1200,17 +1179,17 @@
             txt.remove()
             if self.parent != None:
-                from sans.guiframe.events import StatusEvent 
+                from sans.guiframe.events import StatusEvent
                 msg= "Removed Text: '%s'. " % text_remove
-                wx.PostEvent(self.parent, StatusEvent(status = msg ))
+                wx.PostEvent(self.parent, StatusEvent(status=msg))
         except:
             if self.parent != None:
-                from sans.guiframe.events import StatusEvent 
+                from sans.guiframe.events import StatusEvent
                 msg= "Remove Text: Error occurred. "
-                wx.PostEvent(self.parent, StatusEvent(status = msg ))
+                wx.PostEvent(self.parent, StatusEvent(status=msg))
             else:
                 raise
         self.textList.remove(txt)
             
-        self.subplot.figure.canvas.draw_idle() 
+        self.subplot.figure.canvas.draw_idle()
 
     def properties(self, prop):
@@ -1220,5 +1199,5 @@
         
         """
-        # The particulars of how they are stored and manipulated (e.g., do 
+        # The particulars of how they are stored and manipulated (e.g., do
         # we want an inventory internally) is not settled.  I've used a
         # property dictionary for now.
@@ -1231,7 +1210,4 @@
         self.subplot.set_ylabel(r"$%s$" % prop["ylabel"])
         self.subplot.set_title(prop["title"])
-
-        # Properties defined by user
-        #self.axes.grid(True)
 
     def clear(self):
@@ -1245,5 +1221,5 @@
         """Commit the plot after all objects are drawn"""
         # TODO: this is when the backing store should be swapped in.
-        if self.legend_on:          
+        if self.legend_on:
             ax = self.subplot
             ax.texts = self.textList
@@ -1255,14 +1231,15 @@
                 handles2, labels2 = zip(*hl)
                 self.line_collections_list = handles2
-                self.legend = ax.legend(handles2, labels2,  numpoints=1,
-                                prop=FontProperties(size=10), 
+                self.legend = ax.legend(handles2, labels2, numpoints=1,
+                                prop=FontProperties(size=10),
                                 handletextsep=.05, loc=self.legendLoc)
                 if self.legend != None:
                     self.legend.set_picker(self.legend_picker)
-                    self.legend.set_axes(self.subplot) 
+                    self.legend.set_axes(self.subplot)
                 
             except:
-                self.legend = ax.legend(prop=FontProperties(size=10),  numpoints=1,
-                                handletextsep=.05, loc=self.legendLoc)
+                self.legend = ax.legend(prop=FontProperties(size=10),
+                                        numpoints=1, handletextsep=.05,
+                                        loc=self.legendLoc)
                  
     def xaxis(self, label, units, font=None, color='black', t_font=None):
@@ -1276,5 +1253,5 @@
         
         """
-        if units != "": 
+        if units != "":
             label = label + " (" + units + ")"
         if label.count("{") > 0 and label.count("$") < 2:
@@ -1284,9 +1261,8 @@
             if t_font != None:
                 for tick in self.subplot.xaxis.get_major_ticks():
-                    tick.label.set_fontproperties(t_font) 
+                    tick.label.set_fontproperties(t_font)
                 for line in self.subplot.xaxis.get_ticklines():
                     size = t_font.get_size()
                     line.set_markersize(size / 3)
-                    #line.set_markeredgewidth(int(size / 24 + 1))
         else:
             self.subplot.set_xlabel(label, color=color)
@@ -1295,5 +1271,5 @@
     def yaxis(self, label, units, font=None, color='black', t_font=None):
         """yaxis label and units."""
-        if units != "": 
+        if units != "":
             label = label + " (" + units + ")"
         if label.count("{") > 0 and label.count("$") < 2:
@@ -1311,5 +1287,5 @@
         pass
 
-    def _connect_to_xlim(self,callback):
+    def _connect_to_xlim(self, callback):
         """Bind the xlim change notification to the callback"""
         def process_xlim(axes):
@@ -1317,11 +1293,8 @@
             callback(lo, hi)
         self.subplot.callbacks.connect('xlim_changed', process_xlim)
-    
-    #def connect(self,trigger,callback):
-    #    print "PlotPanel.connect???"
-    #    if trigger == 'xlim': self._connect_to_xlim(callback)
 
     def interactive_points(self, x, y, dx=None, dy=None, name='', color=0,
-                           symbol=0, markersize=5, id=None, label=None, hide_error=False):
+                           symbol=0, markersize=5, id=None, label=None,
+                           hide_error=False):
         """Draw markers with error bars"""
         self.subplot.set_yscale('linear')
@@ -1336,9 +1309,9 @@
                  hide_error=hide_error)
         
-        self.subplot.set_yscale(self.yscale,nonposy='clip')
+        self.subplot.set_yscale(self.yscale, nonposy='clip')
         self.subplot.set_xscale(self.xscale)
        
-    
-    def interactive_curve(self,x,y,dy=None,name='',color=0,symbol=0,id=None,label=None):
+    def interactive_curve(self, x, y, dy=None, name='', color=0,
+                          symbol=0, id=None, label=None):
         """Draw markers with error bars"""
         self.subplot.set_yscale('linear')
@@ -1350,8 +1323,7 @@
         p.curve(x, y, dy=dy, color=color, symbol=symbol, label=label)
         
-        self.subplot.set_yscale(self.yscale,nonposy='clip')
+        self.subplot.set_yscale(self.yscale, nonposy='clip')
         self.subplot.set_xscale(self.xscale)
         
-
     def plottable_selected(self, id):
         """
@@ -1362,8 +1334,7 @@
 
     def points(self, x, y, dx=None, dy=None,
-               color=0, symbol=0, marker_size=5, label=None,id=None,  hide_error=False):
+               color=0, symbol=0, marker_size=5, label=None,
+               id=None, hide_error=False):
         """Draw markers with error bars"""
-        #self.subplot.set_yscale('linear')
-        #self.subplot.set_xscale('linear')
         
         # Convert tuple (lo,hi) to array [(x-lo),(hi-x)]
@@ -1377,16 +1348,15 @@
                                    linestyle='',
                                    label=label)
-            
         else:
             col = self._color(color)
             if hide_error:
                 h = self.subplot.plot(x, y, color=col,
-                                   marker=self._symbol(symbol), markersize=marker_size,
+                                   marker=self._symbol(symbol),
+                                   markersize=marker_size,
                                    linestyle='',
                                    label=label)
-                
             else:
-                h= self.subplot.errorbar(x, y, yerr=dy, xerr=None,
-                                  ecolor=col, capsize=2, linestyle='', 
+                h = self.subplot.errorbar(x, y, yerr=dy, xerr=None,
+                                  ecolor=col, capsize=2, linestyle='',
                                   barsabove=False,
                                   mec=col, mfc=col,
